This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 767742 - xen apparently freezes during boot on Acer Travelmate 8481G
xen apparently freezes during boot on Acer Travelmate 8481G
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-14 14:12 EST by joona.jarvela
Modified: 2012-02-04 00:25 EST (History)
9 users (show)

See Also:
Fixed In Version: xen-4.1.2-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 758646
Environment:
Last Closed: 2012-02-04 00:25:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to xend to catch PCI error and continue (NOT TESTED) (649 bytes, patch)
2011-12-14 15:49 EST, Konrad Rzeszutek Wilk
no flags Details | Diff

  None (edit)
Description joona.jarvela 2011-12-14 14:12:59 EST
+++ This bug was initially created as a clone of Bug #758646 +++

Description of problem:
I installed F16 x86_64 with Xen and I'm trying to boot via
Xen 4.1.2. Apparently the boot occurs normalmene but eventually
the system stops loading.

The only message that I have about the problem is the xend.log, shown below.

[2011-12-14 23:01:02 1043] INFO (SrvDaemon:339) Xend Daemon started
[2011-12-14 23:01:02 1043] INFO (SrvDaemon:343) Xend changeset: unavailable.
[2011-12-14 23:01:02 1043] ERROR (SrvDaemon:356) Exception starting xend (Looped capability chain: 0000:01:00.1)
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/xen/xend/server/SrvDaemon.py", line 348, in run
    servers = SrvServer.create()
  File "/usr/lib64/python2.7/site-packages/xen/xend/server/SrvServer.py", line 258, in create
    root.putChild('xend', SrvRoot())
  File "/usr/lib64/python2.7/site-packages/xen/xend/server/SrvRoot.py", line 40, in __init__
    self.get(name)
  File "/usr/lib64/python2.7/site-packages/xen/web/SrvDir.py", line 84, in get
    val = val.getobj()
  File "/usr/lib64/python2.7/site-packages/xen/web/SrvDir.py", line 52, in getobj
    self.obj = klassobj()
  File "/usr/lib64/python2.7/site-packages/xen/xend/server/SrvNode.py", line 30, in __init__
    self.xn = XendNode.instance()
  File "/usr/lib64/python2.7/site-packages/xen/xend/XendNode.py", line 1181, in instance
    inst = XendNode()
  File "/usr/lib64/python2.7/site-packages/xen/xend/XendNode.py", line 159, in __init__
    self._init_PPCIs()
  File "/usr/lib64/python2.7/site-packages/xen/xend/XendNode.py", line 282, in _init_PPCIs
    for pci_dev in PciUtil.get_all_pci_devices():
  File "/usr/lib64/python2.7/site-packages/xen/util/pci.py", line 476, in get_all_pci_devices
    return map(PciDevice, get_all_pci_dict())
  File "/usr/lib64/python2.7/site-packages/xen/util/pci.py", line 701, in __init__
    self.get_info_from_sysfs()
  File "/usr/lib64/python2.7/site-packages/xen/util/pci.py", line 1271, in get_info_from_sysfs
    self.find_capability(0x11)
  File "/usr/lib64/python2.7/site-packages/xen/util/pci.py", line 1238, in find_capability
    ('Looped capability chain: %s' % self.name))
PciDeviceParseError: Looped capability chain: 0000:01:00.1


Expected results:


Additional info:

Hardware: Acer Travelmate 8481G
Comment 1 Konrad Rzeszutek Wilk 2011-12-14 14:35:15 EST
I've seen this before and blamed it on bad hardware, but maybe there is something to it.

Can you do 'lspci -vvv -xxx -s 01:00.1' to get an idea where the capability is looping ?
Comment 2 joona.jarvela 2011-12-14 14:41:44 EST
01:00.1 Audio device: nVidia Corporation HDMI Audio stub (rev ff) (prog-if ff)
        !!! Unknown header type 7f

00 to f0: ff
Comment 3 Konrad Rzeszutek Wilk 2011-12-14 15:49:29 EST
Created attachment 546883 [details]
Patch to xend to catch PCI error and continue (NOT TESTED)

That is truly a bizzare PCI device. Well, try the attached patch .. Or just modifying the source code with what the patch has and seeing if that works.
Comment 4 Anders Kaseorg 2012-01-03 02:01:12 EST
I had a similar problem starting xend on a Thinkpad T510 running Ubuntu precise, but the patch in comment 3 fixes it for me (thanks!).  xend.log shows

[2012-01-03 01:57:39 5924] ERROR (pci:1272) Caught 'Looped capability chain: 0000:01:00.0'
[2012-01-03 01:57:39 5924] ERROR (pci:1272) Caught 'Looped capability chain: 0000:0d:00.0'
[2012-01-03 01:57:39 5924] ERROR (pci:1272) Caught 'Looped capability chain: 0000:0d:00.1'
[2012-01-03 01:57:39 5924] ERROR (pci:1272) Caught 'Looped capability chain: 0000:0d:00.3'

and the corresponding lspci output is

$ lspci -vvv -xxx -s 0000:01:00.0
01:00.0 VGA compatible controller: nVidia Corporation GT218 [NVS 3100M] (rev ff) (prog-if ff)
	!!! Unknown header type 7f
00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff

$ lspci -vvv -xxx -s 0000:0d:00.0
0d:00.0 SD Host controller: Ricoh Co Ltd MMC/SD Host Controller (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel modules: sdhci-pci
00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff

$ lspci -vvv -xxx -s 0000:0d:00.1
0d:00.1 System peripheral: Ricoh Co Ltd Memory Stick Host Controller (rev ff) (prog-if ff)
	!!! Unknown header type 7f
00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff

$ lspci -vvv -xxx -s 0000:0d:00.3
0d:00.3 FireWire (IEEE 1394): Ricoh Co Ltd FireWire Host Controller (rev ff) (prog-if ff)
	!!! Unknown header type 7f
00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Comment 5 Konrad Rzeszutek Wilk 2012-01-03 13:21:01 EST
Anders, did the patch in comment #3 fix the issue for you? I never got any feedback about this so I can't post it until somebody verifies it.

Thanks!
Comment 6 Fedora Update System 2012-01-25 15:56:11 EST
xen-4.1.2-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xen-4.1.2-4.fc16
Comment 7 Fedora Update System 2012-01-26 17:53:28 EST
Package xen-4.1.2-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.1.2-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0945/xen-4.1.2-4.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-02-04 00:25:44 EST
xen-4.1.2-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.